libcoap 4.3.2rc2

Data Structures | Typedefs | Functions
Cache Support
Libcoap Internal API

Internal API for Cache-Key and Cache-Entry support. More...

## Data Structures
struct | coap_digest_t
struct | coap_cache_key_t
struct | coap_cache_entry_t

## Typedefs
typedef struct coap_digest_t | coap_digest_t
typedef void | coap_digest_ctx_t

## Functions
void | coap_expire_cache_entries (coap_context_t *context)
| Expire coap_cache_entry_t entries. More...
coap_digest_ctx_t * | coap_digest_setup (void)
| Initialize a coap_digest. More...
void | coap_digest_free (coap_digest_ctx_t *digest_ctx)
| Free off coap_digest_ctx_t. More...
int | coap_digest_update (coap_digest_ctx_t *digest_ctx, const uint8_t *data, size_t data_len)
| Update the coap_digest information with the next chunk of data. More...
int | coap_digest_final (coap_digest_ctx_t *digest_ctx, coap_digest_t *digest_buffer)
| Finalize the coap_digest information into the provided `digest_buffer`. More...

## Detailed Description

Internal API for Cache-Key and Cache-Entry support.

## Typedef Documentation

## ◆ coap_digest_ctx_t

typedef void coap_digest_ctx_t

Definition at line 61 of file coap_cache_internal.h.

## ◆ coap_digest_t

typedef struct coap_digest_t coap_digest_t

## Function Documentation

## ◆ coap_digest_final()

int coap_digest_final | ( | coap_digest_ctx_t * | digest_ctx,
|  | coap_digest_t * | digest_buffer
| ) |  |

Finalize the coap_digest information into the provided `digest_buffer`.

Internal function.

Parameters

  digest_ctx | The coap_digest context.
  digest_buffer | Pointer to digest buffer to update

Returns
  `1` success, `0` failure.

## ◆ coap_digest_free()

void coap_digest_free | ( | coap_digest_ctx_t * | digest_ctx | ) |

Free off coap_digest_ctx_t.

Always done by coap_digest_final()

Internal function.

Parameters

  digest_ctx | The coap_digest context.

## ◆ coap_digest_setup()

coap_digest_ctx_t * coap_digest_setup | ( | void |  | ) |

Initialize a coap_digest.

Internal function.

Returns
  The digest context or `NULL` if failure.

## ◆ coap_digest_update()

int coap_digest_update | ( | coap_digest_ctx_t * | digest_ctx,
|  | const uint8_t * | data,
|  | size_t | data_len
| ) |  |

Update the coap_digest information with the next chunk of data.

Internal function.

Parameters

  digest_ctx | The coap_digest context.
  data | Pointer to data.
  data_len | Number of bytes.

Returns
  `1` success, `0` failure.

## ◆ coap_expire_cache_entries()

void coap_expire_cache_entries | ( | coap_context_t * | context | ) |

Expire coap_cache_entry_t entries.

Internal function.

Parameters

  context | The context holding the coap-entries to exire